#pragma once

#include "godot_cpp/classes/ref_counted.hpp"

namespace CoborTerrain
{
	class CoborTerrainEngine : public godot::RefCounted
	{
		GDCLASS(CoborTerrainEngine, godot::RefCounted)

	protected:
		static void _bind_methods();

	public:
		CoborTerrainEngine() = default;
		~CoborTerrainEngine() override = default;
	};
}
